package jp.sourceforge.nicoro;

import android.test.AndroidTestCase;

public class NicoroConfigTests extends AndroidTestCase {
	
	public void testConvertXor() {
		for (int i = 1; i <= 0xffff; ++i) {
			String a = new String(new char[] { (char) i } );
			String b = NicoroConfig.convertXor(a);
			String c = NicoroConfig.convertXor(b);
			assertEquals(a, c);
		}
	}
}
